org.apache.cassandra.cql3.restrictions

## Class SingleColumnRestriction.ContainsRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.ContainsRestriction

- All Implemented Interfaces:
    Restriction, SingleRestriction
  Enclosing class:
    SingleColumnRestriction

      public static final class SingleColumnRestriction.ContainsRestriction
      extends SingleColumnRestriction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `SingleColumnRestriction.ContainsRestriction, SingleColumnRestriction.EQRestriction, SingleColumnRestriction.INRestriction, SingleColumnRestriction.InRestrictionWithMarker, SingleColumnRestriction.InRestrictionWithValues, SingleColumnRestriction.IsNotNullRestriction, SingleColumnRestriction.LikeRestriction, SingleColumnRestriction.SliceRestriction, SingleColumnRestriction.SuperColumnKeyEQRestriction, SingleColumnRestriction.SuperColumnKeyINRestriction, SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers, SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues, SingleColumnRestriction.SuperColumnKeySliceRestriction, SingleColumnRestriction.SuperColumnMultiEQRestriction, SingleColumnRestriction.SuperColumnMultiSliceRestriction`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `columnDef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainsRestriction(ColumnDefinition columnDef, Term t, boolean isKey)`
    `ContainsRestriction(ColumnDefinition columnDef, Term mapKey, Term mapValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFunctionsTo(java.util.List<Function> functions)` Adds all functions (native and user-defined) used by any component of the restriction to the specified list.
    `void` | `addRowFilterTo(RowFilter filter, SecondaryIndexManager indexManager, QueryOptions options)` Adds to the specified row filter the expressions corresponding to this `Restriction`.
    `MultiCBuilder` | `appendBoundTo(MultiCBuilder builder, Bound bound, QueryOptions options)` Appends the values of the `SingleRestriction` for the specified bound to the specified builder.
    `MultiCBuilder` | `appendTo(MultiCBuilder builder, QueryOptions options)` Appends the values of this `SingleRestriction` to the specified builder.
    `SingleRestriction` | `doMergeWith(SingleRestriction otherRestriction)`
    `boolean` | `hasBound(Bound b)` Checks if the specified bound is set or not.
    `boolean` | `isContains()`
    `boolean` | `isInclusive(Bound b)` Checks if the specified bound is inclusive or not.
    `protected boolean` | `isSupportedBy(Index index)` Check if this type of restriction is supported by the specified index.
    `int` | `numberOfEntries()`
    `int` | `numberOfKeys()`
    `int` | `numberOfValues()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `getColumnDefs, getFirstColumn, getLastColumn, hasSupportingIndex, mergeWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

      `isEQ, isIN, isLIKE, isMultiColumn, isNotNull, isSlice`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

      `isOnToken`

- - ### Constructor Detail

    - #### ContainsRestriction

          public ContainsRestriction(ColumnDefinition columnDef,
                                     Term t,
                                     boolean isKey)

    - #### ContainsRestriction

          public ContainsRestriction(ColumnDefinition columnDef,
                                     Term mapKey,
                                     Term mapValue)

  - ### Method Detail

    - #### appendTo

          public MultiCBuilder appendTo(MultiCBuilder builder,
                                        QueryOptions options)

      Description copied from interface: `SingleRestriction`
      Appends the values of this `SingleRestriction` to the specified builder.
      Parameters:
        `builder` - the `MultiCBuilder` to append to.
        `options` - the query options
      Returns:
        the `MultiCBuilder`

    - #### isContains

          public boolean isContains()

    - #### doMergeWith

          public SingleRestriction doMergeWith(SingleRestriction otherRestriction)

      Specified by:
        `doMergeWith` in class `SingleColumnRestriction`

    - #### addRowFilterTo

          public void addRowFilterTo(RowFilter filter,
                                     SecondaryIndexManager indexManager,
                                     QueryOptions options)

      Description copied from interface: `Restriction`
      Adds to the specified row filter the expressions corresponding to this `Restriction`.
      Parameters:
        `filter` - the row filter to add expressions to
        `indexManager` - the secondary index manager
        `options` - the query options

    - #### isSupportedBy

          protected boolean isSupportedBy(Index index)

      Description copied from class: `SingleColumnRestriction`
      Check if this type of restriction is supported by the specified index.
      Specified by:
        `isSupportedBy` in class `SingleColumnRestriction`
      Parameters:
        `index` - the secondary index
      Returns:
        `true` this type of restriction is supported by the specified index, `false` otherwise.

    - #### numberOfValues

          public int numberOfValues()

    - #### numberOfKeys

          public int numberOfKeys()

    - #### numberOfEntries

          public int numberOfEntries()

    - #### addFunctionsTo

          public void addFunctionsTo(java.util.List<Function> functions)

      Description copied from interface: `Restriction`
      Adds all functions (native and user-defined) used by any component of the restriction to the specified list.
      Parameters:
        `functions` - the list to add to

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hasBound

          public boolean hasBound(Bound b)

      Description copied from interface: `SingleRestriction`
      Checks if the specified bound is set or not.
      Parameters:
        `b` - the bound type
      Returns:
        `true` if the specified bound is set, `false` otherwise

    - #### appendBoundTo

          public MultiCBuilder appendBoundTo(MultiCBuilder builder,
                                             Bound bound,
                                             QueryOptions options)

      Description copied from interface: `SingleRestriction`
      Appends the values of the `SingleRestriction` for the specified bound to the specified builder.
      Parameters:
        `builder` - the `MultiCBuilder` to append to.
        `bound` - the bound
        `options` - the query options
      Returns:
        the `MultiCBuilder`

    - #### isInclusive

          public boolean isInclusive(Bound b)

      Description copied from interface: `SingleRestriction`
      Checks if the specified bound is inclusive or not.
      Parameters:
        `b` - the bound type
      Returns:
        `true` if the specified bound is inclusive, `false` otherwise

Copyright © 2018 The Apache Software Foundation